## EDU.oswego.cs.dl.util.concurrent
Class SyncList.SyncCollectionListIterator

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.SyncCollection.SyncCollectionIterator
          EDU.oswego.cs.dl.util.concurrent.SyncList.SyncCollectionListIterator

All Implemented Interfaces:
  java.util.Iterator, java.util.ListIterator

Enclosing class:
  SyncList

    public class SyncList.SyncCollectionListIterator

extends SyncCollection.SyncCollectionIterator
implements java.util.ListIterator

Field Summary

Fields inherited from class EDU.oswego.cs.dl.util.concurrent.SyncCollection.SyncCollectionIterator
`baseIterator_`

Method Summary
`void` `add(java.lang.Object o)`
`protected java.util.ListIterator` `baseListIterator()`
`boolean` `hasPrevious()`
`int` `nextIndex()`
`java.lang.Object` `previous()`
`int` `previousIndex()`
`void` `set(java.lang.Object o)`

Methods inherited from class EDU.oswego.cs.dl.util.concurrent.SyncCollection.SyncCollectionIterator
`hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.ListIterator
`hasNext, next, remove`

Method Detail

### baseListIterator

    protected java.util.ListIterator baseListIterator()

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `java.util.ListIterator`

### previous

    public java.lang.Object previous()

  Specified by:
    `previous` in interface `java.util.ListIterator`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `java.util.ListIterator`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `java.util.ListIterator`

### set

    public void set(java.lang.Object o)

  Specified by:
    `set` in interface `java.util.ListIterator`

### add

    public void add(java.lang.Object o)

  Specified by:
    `add` in interface `java.util.ListIterator`